Byte Engine Docs
Inspectorhttp

Post a message

POST/messages

Publishes one supported targeted message to the running application. The current protocol accepts only TransformationUpdate. The request object must contain exactly type, target, and payload.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

type*unknown

Stable inspector protocol message name.

target*integer

Entity handle returned by GET /entities.

Range0 <= value <= 4294967295
payload*

Response Body

text/plain

curl -X POST "https://example.com/messages" \  -H "Content-Type: application/json" \  -d '{    "type": "TransformationUpdate",    "target": 47,    "payload": {      "position": [        4,        5,        6      ],      "scale": [        1,        1,        1      ],      "orientation": [        0,        0,        0,        1      ]    }  }'
Empty